Please add support for Firefox 22 and above Rated 5 out of 5 stars

Hi, I find this add-on very useful. Currently it doesn't work with Firefox Beta versions. Could you please add support for Firefox 22 (latest beta) and above e.g. Firefox Aurora.

This review is for a previous version of the add-on (0.2.8.21). 

Update now available

Please check out:
https://addons.mozilla.org/en-US/firefox/addon/image-assistant/versions/

P.S. In general, i try to submit an update a few weeks before an official release. I'll see if i can do releases for alpha as well sometimes, but I'm not sure i'll have time, and since AMO only shows the latest version, this could actually prevent some folks from installing the addon from scratch.